Loading...
Searching...
No Matches
Catch::ReporterRegistry::ReporterRegistryImpl Struct Reference

## Public Attributes

std::vector< Detail::unique_ptr< EventListenerFactory > > | listeners
std::map< std::string, IReporterFactoryPtr, Detail::CaseInsensitiveLess > | factories

## Member Data Documentation

## factories

std::map<std::string, IReporterFactoryPtr, Detail::CaseInsensitiveLess> Catch::ReporterRegistry::ReporterRegistryImpl::factories

## listeners

std::vector<Detail::unique_ptr<EventListenerFactory> > Catch::ReporterRegistry::ReporterRegistryImpl::listeners

The documentation for this struct was generated from the following file:

- tests/vendor/catch_amalgamated.cpp